//control.js - control JavaScript code for keyboard events for
//             keyboard-based frame navigation

//$Id: control.js,v 1.6 2001/03/23 16:00:55 Administrator Exp $

// prepare to accept the pressing of keys from the browser
if (navigator.appName != "Microsoft Internet Explorer")
 {
  document.captureEvents(Event.KEYPRESS);
 }
document.onkeypress=keypress;


// act based on event of key being pressed
// available pages corresponding to button bar at top right:

// Substitute ??? in document.all.???.href with:

//    modulePrevious        exit         moduleNext
//    lessonPrevious    moduleFirst      lessonNext
//    framePrevious     lessonFirst      frameNext
//    contentToggle    contentToggle   contentToggle

function keypress(keyEvent)
 {
   if (navigator.appName != "Microsoft Internet Explorer")
      keyPressed = keyEvent.which;
   else
      keyPressed = window.event.keyCode;

   if ("xdebug"=="debug")       //set strings equal to get debug information
    {
     document.all.debug.insertAdjacentText("AfterBegin",
                                           "(debug: " + keyPressed + ")");
    }
   else if ( keyPressed == 103 || keyPressed == 71 ||   // "g" or "G"
             keyPressed ==  46 || keyPressed == 48  )   // "." or "0"
    {
     location.href = document.all.contentToggle.href;
    }
   else if ( keyPressed == 112 || keyPressed == 80 ||   // "p" or "P"
             keyPressed ==  98 || keyPressed == 66 ||   // "b" or "B"
             keyPressed ==  49 || keyPressed == 70 )    // "1" or "F"
    {
     location.href = document.all.framePrevious.href;
    }
   else if ( keyPressed == 50 )                         // "2"
    {
     location.href = document.all.lessonFirst.href;
    }
   else if ( keyPressed == 110 || keyPressed == 78 ||   // "n" or "N"
             keyPressed == 32  || keyPressed == 102 ||  // " " or "f"
             keyPressed == 51 )                         // "3"
    {
     location.href = document.all.frameNext.href;
    }
   else if ( keyPressed == 76  || keyPressed == 52 )    // "L" or "4"
    {
     location.href = document.all.lessonPrevious.href;
    }
   else if ( keyPressed == 53 )                         // "5"
    {
     location.href = document.all.moduleFirst.href;
    }
   else if ( keyPressed == 108 || keyPressed == 54 )    // "l" or "6"
    {
     location.href = document.all.lessonNext.href;
    }
   else if ( keyPressed == 77  || keyPressed == 55 )    // "M" or "7"
    {
     location.href = document.all.modulePrevious.href;
    }
   else if ( keyPressed == 120 || keyPressed == 88 ||   // "x" or "X"
             keyPressed == 56 )                         // "8"
    {
     location.href = document.all.exit.href;
    }
   else if ( keyPressed == 109 || keyPressed == 57 )    // "m" or "9"
    {
     location.href = document.all.moduleNext.href;
    }
   else if ( keyPressed == 61  || keyPressed == 45 ||   // "=" or "-"
             keyPressed == 116 || keyPressed == 84 )    // "t" or "T"
    {
     if ( location.href.lastIndexOf( "#top" ) == -1 )   // not already at top
      {
       location.href = location.href + "#top";          // move to top
      }
     else                                               // remove top link
      {
       location.href =
             location.href.substring( 0, location.href.lastIndexOf( "#top" ) );
      }
    }
}

// end of file
